import "./tools/Object.fromEntries";
import type { CSSObject } from "./types";
import { Css } from "./types";
/**
 * @see {@link https://github.com/garronej/tss-react}
 */
export declare function createMakeStyles<Theme>(params: {
    useTheme(): Theme;
}): {
    makeStyles: <Params = void>() => <Key extends string>(getCssObjectOrCssObject: Record<Key, CSSObject> | ((theme: Theme, params: Params, css: Css) => Record<Key, CSSObject>)) => (params: Params) => {
        classes: Record<Key, string>;
        theme: Theme;
        css: Css;
        cx: import("./types").Cx;
    };
    useStyles: () => {
        theme: Theme;
        css: Css;
        cx: import("./types").Cx;
    };
};
